Bug 1404285 - TrackerDirectConnection crashes from sqlite3DbMallocRawNN [NEEDINFO]
Summary: TrackerDirectConnection crashes from sqlite3DbMallocRawNN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a6a67188823c693d07b59932fce...
: 1412961 1428208 1440703 1441681 1442430 1447139 1451136 1451514 1452997 1455579 1455960 1457230 1458349 1459777 1459852 1460422 1460492 1461354 1462436 1462488 1462581 1462761 1464744 1464756 (view as bug list)
Depends On:
Blocks: F26FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-12-13 14:25 UTC by Han Han
Modified: 2017-07-28 20:30 UTC (History)
58 users (show)

Fixed In Version: tracker-1.12.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 22:50:55 UTC
debarshir: needinfo? (npavlovic101)


Attachments (Terms of Use)
File: backtrace (73.77 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: cgroup (148 bytes, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: core_backtrace (4.53 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: dso_list (19.86 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: environ (1.22 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: maps (79.70 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: mountinfo (3.48 KB, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2016-12-13 14:25 UTC, Han Han
no flags Details
File: open_fds (2.80 KB, text/plain)
2016-12-13 14:26 UTC, Han Han
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2016-12-13 14:26 UTC, Han Han
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-12-13 14:26 UTC, Han Han
no flags Details

Description Han Han 2016-12-13 14:25:33 UTC
Description of problem:


Version-Release number of selected component:
gjs-1.47.0-1.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
global_pid:     8977
kernel:         4.9.0-0.rc8.git4.1.fc26.x86_64
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sqlite3DbMallocRawNN at sqlite3.c:24473
 #1 sqlite3VdbeMemGrow at sqlite3.c:68786
 #2 sqlite3VdbeMemClearAndResize at sqlite3.c:68828
 #4 sqlite3VdbeMemSetStr at sqlite3.c:4018
 #5 bindText at sqlite3.c:76240
 #6 sqlite3_bind_text at sqlite3.c:76323
 #7 tracker_db_statement_bind_text at tracker-db-interface-sqlite.c:2632
 #8 tracker_sparql_query_prepare_for_exec at /home/carlos/Source/gnome/tracker/src/libtracker-data/tracker-sparql-query.vala:531
 #9 tracker_sparql_query_exec_sql_cursor at /home/carlos/Source/gnome/tracker/src/libtracker-data/tracker-sparql-query.vala:540
 #10 tracker_sparql_query_execute_select_cursor at /home/carlos/Source/gnome/tracker/src/libtracker-data/tracker-sparql-query.vala:561

Comment 1 Han Han 2016-12-13 14:25:41 UTC
Created attachment 1231233 [details]
File: backtrace

Comment 2 Han Han 2016-12-13 14:25:43 UTC
Created attachment 1231234 [details]
File: cgroup

Comment 3 Han Han 2016-12-13 14:25:45 UTC
Created attachment 1231235 [details]
File: core_backtrace

Comment 4 Han Han 2016-12-13 14:25:47 UTC
Created attachment 1231236 [details]
File: dso_list

Comment 5 Han Han 2016-12-13 14:25:49 UTC
Created attachment 1231237 [details]
File: environ

Comment 6 Han Han 2016-12-13 14:25:51 UTC
Created attachment 1231238 [details]
File: limits

Comment 7 Han Han 2016-12-13 14:25:54 UTC
Created attachment 1231239 [details]
File: maps

Comment 8 Han Han 2016-12-13 14:25:56 UTC
Created attachment 1231240 [details]
File: mountinfo

Comment 9 Han Han 2016-12-13 14:25:58 UTC
Created attachment 1231241 [details]
File: namespaces

Comment 10 Han Han 2016-12-13 14:26:01 UTC
Created attachment 1231242 [details]
File: open_fds

Comment 11 Han Han 2016-12-13 14:26:03 UTC
Created attachment 1231243 [details]
File: proc_pid_status

Comment 12 Han Han 2016-12-13 14:26:05 UTC
Created attachment 1231244 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 10:46:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 René Genz 2017-04-10 13:22:03 UTC
Similar problem has been detected:

The Problem occured right after login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=d5268ac285cc42ac92700a1d9c02fe66;i=b3c;b=322220793e034af18d507c857da8bf66;m=1d1a6587;t=54ccf8e5f837f;x=2d3b4d744990165a
kernel:         4.11.0-0.rc5.git0.1.fc26.x86_64
package:        gjs-1.48.0-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Martin Bříza 2017-04-20 11:41:53 UTC
Similar problem has been detected:

I tried to complete the initial setup after installing the 20170416 Fedora 26 Workstation image

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=ea542fec2f15427caae236522183478c;i=1b7e;b=cc79bfaef3714646b4cfefa3281226c5;m=ad47c0be;t=54d9787a49946;x=3b3d447bd2685909
kernel:         4.11.0-0.rc6.git0.1.fc26.x86_64
package:        gjs-1.48.1-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Giulio 'juliuxpigface' 2017-04-20 19:11:08 UTC
Similar problem has been detected:

I created an user account with the initial setup utility, on a freshly installed qemu-kvm guest, which is running Fedora 26 Workstation.
I found this crash right after the very first login.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=9430225b4c444922b0a1dad1233129e8;i=8b3;b=45e21f4bca534428a3a55170eb4f31e4;m=126819a1;t=54d9c87a1205c;x=b88b99eaa15a6913
kernel:         4.11.0-0.rc6.git0.1.fc26.x86_64
package:        gjs-1.48.1-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora Blocker Bugs Application 2017-04-20 20:17:14 UTC
Proposed as a Blocker for 26-final by Fedora user juliuxpigface using the blocker tracking app because:

 Proposing this as blocker for Fedora 26 Final.

I hit this on my first login and seems reproducible. It clearly violates the "2.5.4 SELinux and crash notifications" criterion.

Link: https://fedoraproject.org/wiki/Fedora_26_Final_Release_Criteria#SELinux_and_crash_notifications
Description: "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop. "

Comment 18 Geoffrey Marr 2017-04-24 19:17:38 UTC
Discussed during the 2017-04-24 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-04-24/f26-blocker-review.2017-04-24-16.00.txt

Comment 19 Alessio 2017-04-30 08:56:35 UTC
Similar problem has been detected:

After gnome initial setup. Open activities, and crash. Bumped to login screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=5275b1c96e844889b37ca84d29b3e64b;i=6b62;b=4fe01e6e5cde40aaab84d1a098e59bb0;m=73b78416;t=54e4ebe639afe;x=3ed48ca9f453f553
kernel:         4.11.0-0.rc8.git0.1.fc26.x86_64
package:        gjs-1.48.2-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002

Comment 20 Vít Ondruch 2017-05-24 15:15:37 UTC
You probably want to review all these:

https://bugzilla.redhat.com/buglist.cgi?quicksearch=sqlite3DbMallocRawNN&list_id=7404884

Comment 21 Adam Williamson 2017-06-14 18:35:36 UTC
Ping? We are now out of the Beta phase, and Final blockers need to get fixed. Can we make sure someone is looking at this? Thanks!

Comment 22 Debarshi Ray 2017-06-19 15:06:10 UTC
*** Bug 1412961 has been marked as a duplicate of this bug. ***

Comment 23 Debarshi Ray 2017-06-19 15:07:14 UTC
*** Bug 1428208 has been marked as a duplicate of this bug. ***

Comment 24 Debarshi Ray 2017-06-19 15:10:54 UTC
*** Bug 1440703 has been marked as a duplicate of this bug. ***

Comment 25 Debarshi Ray 2017-06-19 15:11:18 UTC
*** Bug 1460492 has been marked as a duplicate of this bug. ***

Comment 26 Debarshi Ray 2017-06-19 15:11:32 UTC
*** Bug 1441681 has been marked as a duplicate of this bug. ***

Comment 27 Debarshi Ray 2017-06-19 15:11:45 UTC
*** Bug 1442430 has been marked as a duplicate of this bug. ***

Comment 28 Debarshi Ray 2017-06-19 15:12:28 UTC
*** Bug 1447139 has been marked as a duplicate of this bug. ***

Comment 29 Debarshi Ray 2017-06-19 15:12:56 UTC
*** Bug 1451136 has been marked as a duplicate of this bug. ***

Comment 30 Debarshi Ray 2017-06-19 15:13:26 UTC
*** Bug 1452997 has been marked as a duplicate of this bug. ***

Comment 31 Debarshi Ray 2017-06-19 15:13:42 UTC
*** Bug 1455579 has been marked as a duplicate of this bug. ***

Comment 32 Debarshi Ray 2017-06-19 15:14:52 UTC
*** Bug 1457230 has been marked as a duplicate of this bug. ***

Comment 33 Debarshi Ray 2017-06-19 15:18:30 UTC
*** Bug 1460422 has been marked as a duplicate of this bug. ***

Comment 34 Debarshi Ray 2017-06-19 15:18:34 UTC
*** Bug 1458349 has been marked as a duplicate of this bug. ***

Comment 35 Debarshi Ray 2017-06-19 15:19:11 UTC
*** Bug 1462488 has been marked as a duplicate of this bug. ***

Comment 36 Debarshi Ray 2017-06-19 15:19:26 UTC
*** Bug 1462436 has been marked as a duplicate of this bug. ***

Comment 37 Debarshi Ray 2017-06-19 15:19:30 UTC
*** Bug 1461354 has been marked as a duplicate of this bug. ***

Comment 38 Debarshi Ray 2017-06-19 15:44:58 UTC
It will be a great help to know the sqlite versions on your system:
$ rpm -q sqlite

Comment 39 lennart_reuther 2017-06-19 17:18:17 UTC
Currently it is sqlite-3.19.1-1.fc26.x86_64 - guess it was the same version when the bug came up first time (did some "dnf upgrade"s inbetween)

Comment 40 Debarshi Ray 2017-06-20 19:27:12 UTC
Thanks for the confirming the sqlite versions.

I managed to reproduce this by opening a PDF from Documents' search provider.

(gdb) print db
$1 = (sqlite3 *) 0x55d79083f918
(gdb) print db->lookaside
$2 = {bDisable = 0, sz = 1200, bMalloced = 1 '\001', nOut = 96, mxOut = 100, anStat = {3061, 101, 35136}, 
  pFree = 0x2f2f3a656c69662a, pStart = 0x55d7905091b8, pEnd = 0x55d790526678}
(gdb) print db->lookaside.pFree
$3 = (LookasideSlot *) 0x2f2f3a656c69662a
(gdb) print pBuf
$4 = (LookasideSlot *) 0x2f2f3a656c69662a
(gdb) print pBuf->pNext
Cannot access memory at address 0x2f2f3a656c69662a
(gdb)

Comment 41 Debarshi Ray 2017-06-20 19:29:59 UTC
Tentatively reassigning to tracker because it affects gnome-photos too. It might also be a case of the applications abusing SPARQL.

Comment 42 Debarshi Ray 2017-06-20 19:30:11 UTC
*** Bug 1451514 has been marked as a duplicate of this bug. ***

Comment 43 Debarshi Ray 2017-06-20 19:31:00 UTC
*** Bug 1455960 has been marked as a duplicate of this bug. ***

Comment 44 Debarshi Ray 2017-06-20 19:31:07 UTC
*** Bug 1459777 has been marked as a duplicate of this bug. ***

Comment 45 Debarshi Ray 2017-06-20 19:31:14 UTC
*** Bug 1459852 has been marked as a duplicate of this bug. ***

Comment 46 Debarshi Ray 2017-06-20 19:31:31 UTC
*** Bug 1462581 has been marked as a duplicate of this bug. ***

Comment 47 Debarshi Ray 2017-06-20 19:31:32 UTC
*** Bug 1462761 has been marked as a duplicate of this bug. ***

Comment 48 Dan Mace 2017-06-21 01:33:52 UTC
Similar problem has been detected:

I logged in and was greeted with the error.

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=7f36010d5f364ec791d49146ba53926a;i=b26;b=625a9adfb3ca4eada23eb92b20703206;m=1a1c8064;t=5526e30eb1f6b;x=3522d9fe4db714a
kernel:         4.11.0-2.fc26.x86_64
package:        gjs-1.48.3-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 49 Nils Philippsen 2017-06-21 09:00:41 UTC
Similar problem has been detected:

started the GNOME tweak tool

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=f81246b525d74927b22b3e5f3785a329;i=34f00;b=5cc31f8072d24da2a3073d5f583b9e9a;m=310f9047;t=5527487917f10;x=f1ce2e119e992e29
kernel:         4.11.6-300.fc26.x86_64
package:        gjs-1.48.4-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 50 Kamil Páral 2017-06-21 12:22:17 UTC
Similar problem has been detected:

Happened after first login of freshly installed F26.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=b2cc449c9b664b19bf5c14f586ee3e05;i=623;b=957210baa2074f4db4c259f86acc0a51;m=1e2e8c0;t=552771380b721;x=4e7e62fe2af20f7
kernel:         4.11.6-300.fc26.x86_64
package:        gjs-1.48.4-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 51 Jörg Klemenz 2017-06-23 09:01:20 UTC
Similar problem has been detected:

First gnome login after fresh install

reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=7616ad33da604cc38adaf57cc8ecdb7c;i=811;b=859a3667727a4aa584f60fbe689959cf;m=b3cf7b1;t=5529ca8b37e5d;x=e3672e8bc717a774
kernel:         4.11.0-2.fc26.x86_64
package:        gjs-1.48.3-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 52 Mikhail 2017-06-24 19:53:33 UTC
$ coredumpctl gdb 13510
           PID: 13510 (gnome-documents)
           UID: 1000 (mikhail)
           GID: 1000 (mikhail)
        Signal: 11 (SEGV)
     Timestamp: Sat 2017-06-24 20:49:15 +05 (2h 37min ago)
  Command Line: /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
    Executable: /usr/bin/gjs-console
 Control Group: /user.slice/user-1000.slice/user@1000.service/dbus.service
          Unit: user@1000.service
     User Unit: dbus.service
         Slice: user-1000.slice
     Owner UID: 1000 (mikhail)
       Boot ID: 648db53310df460db895643eb19effbe
    Machine ID: edc1cc95c19c4261af3af0c053b20c2e
      Hostname: localhost.localdomain
       Storage: /var/lib/systemd/coredump/core.gnome-documents.1000.648db53310df460db895643eb19effbe.13510.1498319355000000.lz4
       Message: Process 13510 (gnome-documents) of user 1000 dumped core.
                
                Stack trace of thread 13785:
                #0  0x00007efdbd69d0dc sqlite3DbMallocRawNN (libsqlite3.so.0)
                #1  0x00007efdbd6b4fe7 sqlite3VdbeMemGrow (libsqlite3.so.0)
                #2  0x00007efdbd6f8d69 allocateCursor (libsqlite3.so.0)
                #3  0x00007efdbd6fde8d sqlite3VdbeExec (libsqlite3.so.0)
                #4  0x00007efdbd70764f sqlite3_step (libsqlite3.so.0)
                #5  0x00007efdbde11681 db_cursor_iter_next (libtracker-data.so.0)
                #6  0x00007efdbde1178e tracker_db_cursor_iter_next_thread (libtracker-data.so.0)
                #7  0x00007efde2e6f086 g_task_thread_pool_thread (libgio-2.0.so.0)
                #8  0x00007efde28f1f00 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                #9  0x00007efde28f1536 g_thread_proxy (libglib-2.0.so.0)
                #10 0x00007efde1af036d start_thread (libpthread.so.0)
                #11 0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13535:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13531:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13748:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efde22eac6c _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (libstdc++.so.6)
                #2  0x00007efdad1ba2f7 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE13threadRunLoopEv (libjavascriptcoregtk-4.0.so.18)
                #3  0x00007efdad1ba439 _ZN7bmalloc9AsyncTaskINS_4HeapEMS1_FvvEE16threadEntryPointEPS4_ (libjavascriptcoregtk-4.0.so.18)
                #4  0x00007efde22f0faf n/a (libstdc++.so.6)
                #5  0x00007efde1af036d start_thread (libpthread.so.0)
                #6  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13532:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13534:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13538:
                #0  0x00007efde1af681b pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                #1  0x00007efdd6ee7580 PR_WaitCondVar (libnspr4.so)
                #2  0x00007efdde3c30b1 _ZN2js12HelperThread10threadLoopEv (libmozjs-38.so)
                #3  0x00007efdd6eececb _pt_root (libnspr4.so)
                #4  0x00007efde1af036d start_thread (libpthread.so.0)
                #5  0x00007efde1828b9f __clone (libc.so.6)
                
                Stack trace of thread 13510:
                #0  0x00007efddfa34505 gdk_pixbuf_get_from_surface (libgdk-3.so.0)
                #1  0x00007efdafdf38eb gd_create_collection_icon (libgdprivate-1.0.so)
                #2  0x00007efde1515bde ffi_call_unix64 (libffi.so.6)
                #3  0x00007efde151554f ffi_call (libffi.so.6)
                #4  0x00007efde25eb70c n/a (libgjs.so.0)
                #5  0x00007efde25eceb6 n/a (libgjs.so.0)
                #6  0x00007efdde3e96a8 _ZN2js6InvokeEP9JSContextN2JS8CallArgsENS_14MaybeConstructE (libmozjs-38.so)
                #7  0x00007efdde3df4cd _ZL9InterpretP9JSContextRN2js8RunStateE (libmozjs-38.so)
                #8  0x00007efdde3e9324 _ZN2js9RunScriptEP9JSContextRNS_8RunStateE (libmozjs-38.so)
                #9  0x00007efdde3e9614 _ZN2js6InvokeEP9JSContextN2JS8CallArgsENS_14MaybeConstructE (libmozjs-38.so)
                #10 0x00007efdde3ea243 _ZN2js6InvokeEP9JSContextRKN2JS5ValueES5_jPS4_NS2_13MutableHandleIS3_EE (libmozjs-38.so)
                #11 0x00007efdde642bfb _ZN2js3jit14InvokeFunctionEP9JSContextN2JS6HandleIP8JSObjectEEjPNS3_5ValueES9_ (libmozjs-38.so)
                #12 0x00007efde3398134 n/a (n/a)

GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/gjs-console...Reading symbols from /usr/lib/debug/usr/bin/gjs-console.debug...done.
done.

warning: core file may not match specified executable file.
[New LWP 13785]
[New LWP 13535]
[New LWP 13531]
[New LWP 13748]
[New LWP 13532]
[New LWP 13534]
[New LWP 13538]
[New LWP 13510]
[New LWP 13651]
[New LWP 13536]
[New LWP 13542]
[New LWP 13766]
[New LWP 13776]
[New LWP 13811]
[New LWP 13537]
[New LWP 13570]
[New LWP 13533]
[New LWP 13540]
[New LWP 13625]
[New LWP 13541]
[New LWP 13548]
[New LWP 13539]
[New LWP 13547]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007efdbd69d0dc in sqlite3DbMallocRawNN () from /lib64/libsqlite3.so.0
[Current thread is 1 (Thread 0x7efd6dffb700 (LWP 13785))]
Missing separate debuginfos, use: dnf debuginfo-install dbus-libs-1.11.12-1.fc26.x86_64 expat-2.2.0-2.fc26.x86_64 fontconfig-2.12.1-4.fc26.x86_64 freetype-2.7.1-9.fc26.x86_64 gdk-pixbuf2-2.36.6-1.fc26.x86_64 gdk-pixbuf2-modules-2.36.6-1.fc26.x86_64 gmp-6.1.2-4.fc26.x86_64 json-glib-1.2.8-1.fc26.x86_64 keyutils-libs-1.5.10-1.fc26.x86_64 krb5-libs-1.15.1-8.fc26.x86_64 libSM-1.2.2-5.fc26.x86_64 libX11-1.6.5-2.fc26.x86_64 libXau-1.0.8-7.fc26.x86_64 libXcomposite-0.4.4-9.fc26.x86_64 libXdamage-1.1.4-9.fc26.x86_64 libXi-1.7.9-2.fc26.x86_64 libcap-2.25-5.fc26.x86_64 libcom_err-1.43.4-2.fc26.x86_64 libdatrie-0.2.9-4.fc26.x86_64 libepoxy-1.4.1-1.fc26.x86_64 libgcrypt-1.7.7-1.fc26.x86_64 libidn2-2.0.2-1.fc26.x86_64 libjpeg-turbo-1.5.1-0.fc26.x86_64 libnghttp2-1.21.1-1.fc26.x86_64 libpsl-0.17.0-2.fc26.x86_64 libsoup-2.58.1-1.fc26.x86_64 libtasn1-4.12-1.fc26.x86_64 libthai-0.1.25-2.fc26.x86_64 libunistring-0.9.7-1.fc26.x86_64 libwayland-client-1.13.0-1.fc26.x86_64 libwayland-cursor-1.13.0-1.fc26.x86_64 libwayland-server-1.13.0-1.fc26.x86_64 libwebp-0.6.0-2.fc26.x86_64 libxcb-1.12-3.fc26.x86_64 libxkbcommon-0.7.1-3.fc26.x86_64 libxml2-2.9.4-2.fc26.x86_64 lz4-libs-1.7.5-3.fc26.x86_64 nettle-3.3-2.fc26.x86_64 nss-util-3.30.2-1.0.fc26.x86_64 orc-0.4.26-2.fc26.x86_64 sqlite-libs-3.19.1-1.fc26.x86_64
(gdb) q


$ rpm -qa | grep sqlite | sort
sqlite-3.19.1-1.fc26.x86_64
sqlite-debuginfo-3.19.1-1.fc26.i686
sqlite-libs-3.19.1-1.fc26.i686
sqlite-libs-3.19.1-1.fc26.x86_64

Comment 53 Cole Robinson 2017-06-27 17:30:52 UTC
Similar problem has been detected:

Seems 100% reproducible with virt-manager.

virt-manager --debug --connect test:///default
select the 'test' row, Edit->Connection Details->Storage
Hit the '+' button, enter name tmp, hit forward/finish
app crashes

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=319d5c5260ab4deda4c1c1ecd3e8bcf1;i=1b3340;b=1d048b7966414d179f204a05e0e54a4c;m=1c78719fb1;t=552f401ad85ad;x=5a88612928a1adc5
kernel:         4.11.6-300.fc26.x86_64
package:        gjs-1.48.5-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 54 lennart_reuther 2017-06-28 22:08:20 UTC
Similar problem has been detected:

Connecting Bluetooth headset Motorola S10-HD (incl pairing) and opening gnome settings -> audio, when gnome shell restarted.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=9309e3d730944b078e7b089dba401da8;i=1984a;b=81c317991aa84bb7be214fa81f815481;m=20b0396fdb;t=5530c490c58ac;x=d313b911126a6811
kernel:         4.11.6-301.fc26.x86_64
package:        gjs-1.48.5-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 55 Debarshi Ray 2017-06-29 09:06:25 UTC
*** Bug 1464744 has been marked as a duplicate of this bug. ***

Comment 56 Debarshi Ray 2017-06-29 09:24:35 UTC
A quick note about all the instances where this crash was reproduced by using gnome-control-center, gnome-tweak-tool or virt-manager or any other application that's not gnome-documents and gnome-photos:

The crash is triggered by the gnome-documents or gnome-photos' search providers. Most likely the user used gnome-shell's search (eg., to launch an application) and has moved on to doing something else by the crashed occured.

Comment 57 Fedora Update System 2017-06-29 09:25:13 UTC
tracker-1.12.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b4786b0b24

Comment 58 Debarshi Ray 2017-06-29 09:26:32 UTC
(In reply to Debarshi Ray from comment #56)
> application) and has moved on to doing something else by the crashed occured.

* by the time the crash occurred.

Comment 59 Cole Robinson 2017-06-29 09:45:04 UTC
I think my dupe was bogus... the description I gave is for a different crash, probably got my gnome-abrt wires crossed

Comment 60 Fedora Update System 2017-06-29 23:25:34 UTC
tracker-1.12.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b4786b0b24

Comment 61 kartochka22 2017-07-01 14:47:27 UTC
Similar problem has been detected:

Upgrade from f25 to f26 using dnf, just after restart and first time loging to gnome ( i use xorg instead of wayland for game fps reason). It is not clean f25,I use testing repo.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=51385aea146945d8adef42731ce96e35;i=8cb34;b=9d4197d757d8409489068ae156c59956;m=4237e77;t=55342694a2c99;x=205e1bd5f957bfbe
kernel:         4.11.6-301.fc26.x86_64
package:        gjs-1.48.5-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 Adam Williamson 2017-07-06 18:31:43 UTC
Well, I tried Cole's reproducer with RC-1.5 and it didn't crash. I haven't checked that it *does* crash with an older image so this isn't a perfect test, but best I can do on short notice, so setting VERIFIED. It'd be good if folks who had reliable local reproducers for this can check it works with the updated tracker and report.

Comment 63 Cole Robinson 2017-07-06 20:26:30 UTC
(In reply to Adam Williamson from comment #62)
> Well, I tried Cole's reproducer with RC-1.5 and it didn't crash. I haven't
> checked that it *does* crash with an older image so this isn't a perfect
> test, but best I can do on short notice, so setting VERIFIED. It'd be good
> if folks who had reliable local reproducers for this can check it works with
> the updated tracker and report.

My reproducer wasn't about this bug, I got my gnome-abrt wires crossed

Comment 64 Adam Williamson 2017-07-06 20:30:34 UTC
whoops! well, er, let's just hope the fix worked, then. :P

Comment 65 Fedora Update System 2017-07-06 22:50:55 UTC
tracker-1.12.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 66 Nikola Pavlovic 2017-07-14 21:37:56 UTC
Similar problem has been detected:

It pretty much happens randomly and constantly.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents --gapplication-service
crash_function: sqlite3DbMallocRawNN
executable:     /usr/bin/gjs-console
journald_cursor: s=3946c38074474bd5b5a494725e70b8cf;i=9ce6;b=22227528d3a44b15a36ce107d3e9e5ed;m=128887be;t=5544dbbbd9095;x=9d5d716c17c91e9e
kernel:         4.11.6-301.fc26.x86_64
package:        gjs-1.48.5-1.fc26
reason:         gjs-console killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 67 Debarshi Ray 2017-07-17 12:44:44 UTC
(In reply to Nikola Pavlovic from comment #66)
> Similar problem has been detected:
> 
> It pretty much happens randomly and constantly.
> 
> reporter:       libreport-2.9.1
> backtrace_rating: 4
> cmdline:        /usr/bin/gjs-console /usr/bin/gnome-documents
> --gapplication-service
> crash_function: sqlite3DbMallocRawNN
> executable:     /usr/bin/gjs-console
> journald_cursor:
> s=3946c38074474bd5b5a494725e70b8cf;i=9ce6;b=22227528d3a44b15a36ce107d3e9e5ed;
> m=128887be;t=5544dbbbd9095;x=9d5d716c17c91e9e
> kernel:         4.11.6-301.fc26.x86_64
> package:        gjs-1.48.5-1.fc26
> reason:         gjs-console killed by signal 11
> rootdir:        /
> runlevel:       N 5
> type:           CCpp
> uid:            1000

What version of tracker do you have (rpm -q tracker)? You need at least tracker-1.12.1-1.fc26. If you already have that, and have rebooted your system after installing it, then I'd suggest filing a new bug.

Comment 68 Debarshi Ray 2017-07-28 20:30:04 UTC
*** Bug 1464756 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.